## org.eclipse.emf.ocl.expressions
Interface LiteralExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Subinterfaces:
  BooleanLiteralExp, CollectionLiteralExp, EnumLiteralExp, IntegerLiteralExp, InvalidLiteralExp, NullLiteralExp, NumericLiteralExp, PrimitiveLiteralExp, RealLiteralExp, StringLiteralExp, TupleLiteralExp

All Known Implementing Classes:
  BooleanLiteralExpImpl, CollectionLiteralExpImpl, EnumLiteralExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, LiteralExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, PrimitiveLiteralExpImpl, RealLiteralExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl

Deprecated. Use the `LiteralExp` interface, instead.

    @Deprecated
    public interface LiteralExp

extends OCLExpression

Field Summary
`static String` `copyright` Deprecated.

Method Summary

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.